% Compute point estimator for input data y for use with IRP partitioning (i.e. cut) problem
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Inputs:  
% y:           n x 1 input vector to isotonic regression, e.g. observations
% options:     same options as to IRP(.) function
% inds:        indices of observations in the group to be cut (for use when there are weights)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Outputs:  
% yfit:        point estimator for given loss function
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Modified by Ronny Luss, May 2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [yfit] = IRP_estimator(y,options,inds)

switch options.weightedL2
    case 0
        yfit=mean(y); % L2 isotonic regression
    case 1
        yfit=(options.weights(inds)'*y)/sum(options.weights(inds)); % weighted L2 isotonic regression
end